//
//  NSURLSession+mixDownloadTask.h
//  双子星云手机
//
//  Created by xd h on 2024/6/27.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface NSURLSession (mixDownloadTask)
/**
 构造一个从特定位置开始下载的任务

 @param urlString 资源路径的URLstring
 @param startSize 开始的位置
 @return 下载任务
 */
- (NSURLSessionDataTask *)mix_downloadDataTaskWithURLString:(NSString *)urlString
                                                  startSize:(int64_t)startSize;
@end

NS_ASSUME_NONNULL_END
