//
//  mixDownloadSession.h
//  双子星云手机
//
//  Created by xd h on 2024/6/27.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface mixDownloadSession : NSObject
// 接口回调
- (void)downloadWithURL:(NSURL *)url
                  begin:(void(^)(NSString *))begin
               progress:(void(^)(NSInteger,NSInteger))progress
               complete:(void(^)(NSDictionary *,NSError *))complet;

- (void)startDownLoadWithUrl:(NSString *)url;

- (void)supendDownloadWithUrl:(NSString *)url;

- (void)cancelDownloadWithUrl:(NSString *)url;

- (void)cancelAllDownloads;
- (void)startAllDownloads;
- (void)suspendAllDownloads;

@end

NS_ASSUME_NONNULL_END
